Subject: Re: bug#23727: Gnus doesn't always indicate successful posting

From: Live System User <[email-masked]>
Date: Sat, 11 Feb 2017 05:43:49 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>> I tried to follow up to a posting to gmane.emacs.devel by
>> typing F `(gnus-summary-followup-with-original)'.
>>
>> After typing "C-u C-c C-c" `(message-send-and-exit)', I got
>> the message:
>>
>> Wrote /home/liveuser/Mail/send-news/3
>>
>> but Emacs was unresponsive and the "unsent..." buffer remained.
>
> I would guess that this means that the network connection timed out
> while posting.

  OK.

>
>> After about 5 minutes, I typed C-g `(keyboard-quit)' and typed
>> "C-u C-c C-c" again while in the "*unsent..." buffer and got
>> no message but the "*unsent..." buffer remained.
>
> Does `C-u' do something with `C-c C-c'?  I can't really see that it
> does?

  It's suppose to save the SMTP transaction buffer even if there is
  no SMTP error.
>
>> I then typed just "C-c C-c" and then got the message:
>>
>> Denied posting -- multiple copies
>
> This is really odd.  Because it was presumably hanging in
> `gnus-request-post', and your C-g should have ensured that result was
> nil, so it shouldn't have registered that it had sent the message, and
> you shouldn't have gotten the "multiple copies" message. 
>
> 	      (setq result (let ((mail-header-separator ""))
> 			     (gnus-request-post method))))
> 	  (kill-buffer tembuf))
> 	(set-buffer messbuf)
> 	(if result
> 	    (push 'news message-sent-message-via)
>
> So very odd...
>
> But what happened at the second C-c C-c?  Did it hang again and you
> C-g'd it again?

  It didn't hang but I got I got:

    >> Denied posting -- multiple copies

 Not sure if it's relevant, but I Gcc my messages via:

     Gcc: nnimap+aolSent"

 Thanks.